Board 12 Installation Prerequisites

Board Support
Board Support Employee
5 Likes Photogenic
edited May 2023 in Support Articles

Web Browser

Board supports most modern browsers with HTML5 capabilities. We recommend you use the latest versions of Google Chrome, Microsoft Edge, Mozilla Firefox or Apple Safari.

Note: For Board Cloud installations is Board Server and WEB Server NOT relevant

Functionality

A Board installation is made up of the following components:

  • Board Engine (Board Server)
  • Board Web Server (Board WebAPI) / IIS (WebServer – acts as client to the Board Server)
  • Office Add-In (client to Board Server) - optional

Each component is installed on Windows and requires a set of prerequisites to be met, that are explained in the following section.

How to Configure It

Prerequisites

For smooth installation of all software components ensure you fulfill all required environment setup and software prerequisites before you attempt installation.

To make sure the prerequisites are automatically verified at the time of installation, run the setup.exe file (as Administrator)instead of the .msi package. The list of prerequisites is provided below (the ones affecting the BOARD Web Server (Board WebAPI) are not automatically checked by the installer, so you need to manually install them): 

  • .NET Framework 4.8 or higher is mandatory
  • Since .NET Framework is already embedded in some Microsoft OS versions, please check how to install or activate .NET Framework on your OS
  • Windows Installer 3.1 or higher is already embedded in some Microsoft OS versions, please check how to install or activate in your OS

If you wish to deploy Board Web under IIS, please refer to our dedicated article How to Setup Microsoft IIS with Board 12 Web Server.